YSTest: YSLib::Components::WidgetController Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
YSLib::Components::WidgetController Class Reference

部件控制器。 More...

`#include <ywgtevt.h>`

Inheritance diagram for YSLib::Components::WidgetController:
[legend]
Collaboration diagram for YSLib::Components::WidgetController:
[legend]

## Public Member Functions

| WidgetController (bool=false)
| 构造：使用指定可用性。
virtual EventMapping::ItemType & | GetItem (const VisualEvent &)
| 取事件项。
virtual WidgetController * | Clone () const
Public Member Functions inherited from YSLib::Components::AController
| AController (bool b=true)
| 构造：使用指定可用性。
virtual | ~AController ()
| 析构：空实现。
bool | IsEnabled () const ynothrow
virtual EventMapping::ItemType & | GetItemRef (const VisualEvent &id, EventMapping::MappedType(&)())
| 取事件项，若不存在则用指定函数指针添加。
void | SetEnabled (bool _tempArgName)

## Public Attributes

GEventWrapper< GEvent< void(HPaintEvent::EventArgsType)> , UIEventArgs && > | Paint

## Detailed Description

部件控制器。

Since
  build 236

Definition at line 422 of file ywgtevt.h.

## Constructor & Destructor Documentation

YSLib::Components::WidgetController::WidgetController | ( | bool | = `false` | ) |

explicit

构造：使用指定可用性。

## Member Function Documentation

virtual WidgetController* YSLib::Components::WidgetController::Clone | ( |  | ) | const

inlinevirtual

Implements YSLib::Components::AController.

Definition at line 437 of file ywgtevt.h.

EventMapping::ItemType & WidgetController::GetItem | ( | const VisualEvent & |  | ) |

virtual

取事件项。

Since
  build 293

Implements YSLib::Components::AController.

Definition at line 70 of file ywgtevt.cpp.

References YSLib::Components::Paint, and Paint.

## Member Data Documentation

GEventWrapper<GEvent<void( HPaintEvent ::EventArgsType)>, UIEventArgs&&> YSLib::Components::WidgetController::Paint

Since
  build 331

Definition at line 426 of file ywgtevt.h.

Referenced by GetItem().

The documentation for this class was generated from the following files:

- ywgtevt.h
- ywgtevt.cpp